<div class="container-fluid">

  <h4 class="mt-4">Usuários</h4>

  <app-filter-custom [filterFields]="filterFields"
                     nameEntity="Usuario"
                     (onFilter)="filter($event)"
                     (onClearFilter)="clearFilter()">
  </app-filter-custom>

  <div class="card mt-2 mb-5">
    <h5 class="text-uppercase p-3" *ngIf="objectList?.length > 0">
      Lista de usuários
    </h5>

    <app-table-custom [objectList]="objectList"
                      [totalElements]="totalElements"
                      [columns]="columns"
                      (onTableChanged)="onTableChanged($event)"
                      (onDeleteObject)="delete($event)"
                      (onEditObject)="edit($event[0].id)">
    </app-table-custom>
  </div>
</div>
